using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 导航属性：危险源及风险库部门表
    /// </summary>
    [Description("导航属性：危险源及风险库部门表")]
    public class T_HM_EVALUATE_RISK_DEPARTMENT : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskDepartment")]
        public Guid EVALUATION_RISK_ID { get; set; }
        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }
        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        [FormFieldEdit]
        public Guid DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航属性：部门
        /// </summary>
        [Description("导航属性：部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
    }
}
